► |  | The Racket Graphical Interface Toolkit

1 | Windowing
2 | Widget Gallery
3 | Windowing Classes
4 | Windowing Functions
5 | Editors
6 | Snip and Style Classes
7 | Editor Classes
8 | Editor Functions
9 | WXME Decoding
10 | Preferences
11 | Dynamic Loading
12 | Startup Actions
13 | Platform Dependencies
| Index

▼ | 7 | Editor Classes

7.1 | editor<%>
7.2 | editor-admin%
7.3 | editor-canvas%
7.4 | editor-data%
7.5 | editor-data-class%
7.6 | editor-data-class-list<%>
7.7 | editor-snip-editor-admin<%>
7.8 | editor-snip%
7.9 | editor-stream-in%
7.10 | editor-stream-in-base%
7.11 | editor-stream-in-bytes-base%
7.12 | editor-stream-out%
7.13 | editor-stream-out-base%
7.14 | editor-stream-out-bytes-base%
7.15 | editor-wordbreak-map%
7.16 | keymap%
7.17 | pasteboard%
7.18 | text%

On this page:

bad?
seek
tell
write
write-bytes

top ← prev up next →

> class

> editor-stream-out-base% : class?

superclass: object%

An editor-stream-out-base% object is used by an editor-stream-out% object to perform low-level writing of data.

The editor-stream-out-base% class is never instantiated directly, but the derived class editor-stream-out-bytes-base% can be instantiated. New derived classes must override all of the methods described in this section.

> > method

> > ( send an-editor-stream-out-base bad? ) → boolean?

Returns #t if there has been an error writing to the stream, #f otherwise.

> > method

> > ( send an-editor-stream-out-base seek pos) → void?

> pos : exact-nonnegative-integer?

Moves to the specified absolute position in the stream.

> > method

> > ( send an-editor-stream-out-base tell )

> → exact-nonnegative-integer?

Returns the current stream position.

> > method

> > ( send an-editor-stream-out-base write data) → void?

> data : ( listof char? )

Writes data (encoded as Latin-1 characters) to the stream. This method is implemented by default via write-bytes.

> > method

> > ( send an-editor-stream-out-base write-bytes bstr) → void?

> bstr : bytes?

Writes data to the stream.
top ← prev up next →